Opened 9 days ago

Closed 9 days ago

Last modified 9 days ago

#14470 closed bug (fixed)

[x86_64] No updates from Haiku repo

Reported by: ahwayakchih Owned by: kallisti5
Priority: high Milestone: R1/beta1
Component: Sys-Admin Version: R1/Development
Keywords: pkgman, repo Cc:
Blocked By: Blocking:
Has a Patch: no Platform: x86-64

Description

I have updated repos to:

/> pkgman list-repos
        Haiku
                base-url:  https://eu.hpkg.haiku-os.org/haiku/master/x86_64/current
                url:       https://hpkg.haiku-os.org/haiku/master/x86_64/current
                priority:  1
        HaikuPorts
                base-url:  https://eu.hpkg.haiku-os.org/haikuports/master/x86_64/current
                url:       https://hpkg.haiku-os.org/haikuports/master/x86_64/current
                priority:  1

Still, when i was on hrev52316, no updates where available, even though i could see new versions to download from https://download.haiku-os.org/nightly-images/x86_64/.

So, i downloaded anyboot file, booted VirtualBox from it and installed new version on top of 52316. Now i'm on hrev52323.

Today i run SoftwareUpdater, i got "git" packages updates but no Haiku updates. Just to be sure i checked nightly downloads and there already are two newer versions available there.

I tried to check stuff in Terminal, so:

/> pkgman refresh
Fetching repository checksum from https://eu.hpkg.haiku-os.org/haiku/master/x86_64/current ...
Validating checksum for Haiku ...
Fetching repository checksum from https://eu.hpkg.haiku-os.org/haikuports/master/x86_64/current ...
Validating checksum for HaikuPorts ...
/> pkgman update
100% repochecksum-1 [65 bytes]
Validating checksum for Haiku...done.
100% repochecksum-1 [64 bytes]
Validating checksum for HaikuPorts...done.
Nothing to do.
/> pkgman full-sync
100% repochecksum-1 [65 bytes]
Validating checksum for Haiku...done.
100% repochecksum-1 [64 bytes]
Validating checksum for HaikuPorts...done.
The following changes will be made:
  in system:
    upgrade package haiku-r1~beta1_hrev52323-1 to r1~beta1_hrev52316-1 from repository Haiku
    upgrade package makefile_engine-r1~beta1_hrev52323-1 to r1~beta1_hrev52316-1 from repository Haiku
    upgrade package haiku_loader-r1~beta1_hrev52323-1 to r1~beta1_hrev52316-1 from repository Haiku
    upgrade package webpositive-r1~beta1_hrev52323-1 to r1~beta1_hrev52316-1 from repository Haiku
    upgrade package haiku_devel-r1~beta1_hrev52323-1 to r1~beta1_hrev52316-1 from repository Haiku
Continue? [yes/no] (yes) : no

So, i tried to open repo URLs, to check what's happening. None of them work directly in a browser, but cropping out paths one by one i got to the https://eu.hpkg.haiku-os.org/haiku/. And there is no mention of hrev later than 52316 there :(.

I'm attaching output from repo URL.

Attachments (2)

repo-x86_64.xml (389.9 KB) - added by ahwayakchih 9 days ago.
repo does not seem to list updated packages
2018-09-11-x86_64-Haiku-repo-ReadMe.md (570 bytes) - added by ahwayakchih 9 days ago.
ReadMe.md served from repo

Download all attachments as: .zip

Change History (10)

Changed 9 days ago by ahwayakchih

Attachment: repo-x86_64.xml added

repo does not seem to list updated packages

comment:1 Changed 9 days ago by ahwayakchih

Can it be some caching issue with repo server? If it uses CDN and refresh was not forced, then maybe CDN keeps outdated file?

comment:2 Changed 9 days ago by ahwayakchih

I can open HaikuPorts repo paths in a browser, and i get updates from that repo. It's only Haiku repo that does not seem to work.

comment:3 Changed 9 days ago by ahwayakchih

So, just to be sure it's not some strange caching issue on my endpoint (router, provider, etc...), i used two different online proxies to open https://eu.hpkg.haiku-os.org/haiku/ and then https://eu.hpkg.haiku-os.org/haiku/master/x86_64/current/ReadMe.md - they both show the same "outdated" info from repo.

Changed 9 days ago by ahwayakchih

ReadMe.md served from repo

comment:4 Changed 9 days ago by ahwayakchih

Additional curl -v output:

* Hostname was NOT found in DNS cache
*   Trying 94.130.128.252...
* Connected to eu.hpkg.haiku-os.org (94.130.128.252) port 443 (#0)
* successfully set certificate verify locations:
*   CAfile: none
  CApath: /etc/ssl/certs
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server key exchange (12):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using ECDHE-RSA-AES128-GCM-SHA256
* Server certificate:
* 	 subject: CN=eu.hpkg.haiku-os.org
* 	 start date: 2018-08-21 00:03:25 GMT
* 	 expire date: 2018-11-19 00:03:25 GMT
* 	 subjectAltName: eu.hpkg.haiku-os.org matched
* 	 issuer: C=US; O=Let's Encrypt; CN=Let's Encrypt Authority X3
* 	 SSL certificate verify ok.
> GET /haiku/master/x86_64/current/ReadMe.md HTTP/1.1
> User-Agent: curl/7.35.0
> Host: eu.hpkg.haiku-os.org
> Accept: */*
> 
< HTTP/1.1 200 OK
< Accept-Ranges: bytes
< Content-Length: 570
< Content-Security-Policy: block-all-mixed-content
< Content-Type: text/x-markdown
< Date: Tue, 11 Sep 2018 08:43:42 GMT
< Etag: "00000000000000000000000000000000-1"
< Last-Modified: Sat, 08 Sep 2018 04:19:47 GMT
* Server nginx is not blacklisted
< Server: nginx
< Vary: Origin
< X-Amz-Bucket-Region: eu
< X-Amz-Request-Id: 15534BF726BE17DB
< X-Xss-Protection: 1; mode=block
< 
Build Details
-------------
Haiku repository: master / {'haiku': u'4fead684b8e11643c3a606380e31902abcaf5edc'} / hrev52316
Buildtools repository: btrev43134
Haiku architecture: x86_64
Configure command: ../../haiku/configure --use-gcc-pipe --distro-compatibility official -j2 --cross-tools-prefix ../../cross-tools-x86_64/cross-tools-x86_64/bin/x86_64-unknown-haiku-
Jam command: jam -q -j2 @release-raw build <repository>Haiku
Host machine: geist-bot1-ubuntu64 [Linux hmini0 4.15.0-33-generic #36-Ubuntu SMP Wed Aug 15 16:00:05 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux]

* Connection #0 to host eu.hpkg.haiku-os.org left intact

comment:5 Changed 9 days ago by vidrep

Same issue here. HaikuPorts repo updating properly, but Haiku is not updating - stuck at hrev52316.

Last edited 9 days ago by vidrep (previous) (diff)

comment:6 Changed 9 days ago by diver

Component: Applications/SoftwareUpdaterSys-Admin
Owner: changed from perelandra to kallisti5
Status: newassigned

comment:7 Changed 9 days ago by waddlesplash

Resolution: fixed
Status: assignedclosed

Fixed now.

comment:8 Changed 9 days ago by ahwayakchih

I can confirm that i got update to hrev52331 (which is even fresher than the anyboot image to download from Haiku site :D).

Thanks!

Fingers crossed it stays up-to-date with next commits.

Note: See TracTickets for help on using tickets.